{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/DirectedRelationshipImpl.eGet(IZZ)Ljava/lang/Object;",
  "numberOfDefinitions": 7,
  "calls": {
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResolveProxy(Lorg/eclipse/emf/ecore/InternalEObject;)Lorg/eclipse/emf/ecore/EObject;": 7,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicGet(IZZ)Ljava/lang/Object;": 7,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IILjava/lang/Object;Ljava/lang/Object;)V": 7,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 7,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl$Container.eInternalContainer()Lorg/eclipse/emf/ecore/InternalEObject;": 7,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl.eContainerFeatureID()I": 7,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.basicGetOwner()Lorg/eclipse/uml2/uml/Element;": 7,
    "Lorg/eclipse/emf/ecore/util/EObjectWithInverseResolvingEList$ManyInverse.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;II)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotificationRequired()Z": 7,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getCacheAdapter()Lorg/eclipse/uml2/common/util/CacheAdapter;": 7,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eContainer()Lorg/eclipse/emf/ecore/EObject;": 7,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 7,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotify(Lorg/eclipse/emf/common/notify/Notification;)V": 7,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 7,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 7,
    "Lorg/eclipse/uml2/uml/internal/impl/DirectedRelationshipImpl.getRelatedElements()Lorg/eclipse/emf/common/util/EList;": 7,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedElements()Lorg/eclipse/emf/common/util/EList;": 6,
    "Lorg/eclipse/emf/ecore/util/EObjectContainmentWithInverseEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;II)V": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResource()Lorg/eclipse/emf/ecore/resource/Resource;": 7,
    "Lorg/eclipse/uml2/common/util/DerivedUnionEObjectEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I)V": 7
  }
}